kr.co.hanwha.hifive.dialog

## Class HFLoadingDialog

- java.lang.Object
- - android.app.Dialog
  - - kr.co.hanwha.hifive.dialog.HFLoadingDialog

All Implemented Interfaces:
  android.content.DialogInterface, android.view.KeyEvent.Callback, android.view.View.OnCreateContextMenuListener, android.view.Window.Callback

    public class HFLoadingDialog
    extends android.app.Dialog

Created by sanghoonkwon on 2018. 1. 11..

### Nested Class Summary

### Nested classes/interfaces inherited from interface android.content.DialogInterface

`android.content.DialogInterface.OnCancelListener, android.content.DialogInterface.OnClickListener, android.content.DialogInterface.OnDismissListener, android.content.DialogInterface.OnKeyListener, android.content.DialogInterface.OnMultiChoiceClickListener, android.content.DialogInterface.OnShowListener`

### Field Summary

Fields
`private android.widget.ProgressBar` `mProgressBar`

### Fields inherited from interface android.content.DialogInterface

`BUTTON_NEGATIVE, BUTTON_NEUTRAL, BUTTON_POSITIVE, BUTTON1, BUTTON2, BUTTON3`

### Constructor Summary

Constructors
Constructor and Description
`HFLoadingDialog(android.content.Context context)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `dismiss()`
`protected void` `onCreate(android.os.Bundle savedInstanceState)`
`void` `onWindowFocusChanged(boolean hasFocus)`
`void` `show()`

### Methods inherited from class android.app.Dialog

`addContentView, cancel, closeOptionsMenu, create, dispatchGenericMotionEvent, dispatchKeyEvent, dispatchKeyShortcutEvent, dispatchPopulateAccessibilityEvent, dispatchTouchEvent, dispatchTrackballEvent, findViewById, getActionBar, getContext, getCurrentFocus, getLayoutInflater, getOwnerActivity, getSearchEvent, getVolumeControlStream, getWindow, hide, invalidateOptionsMenu, isShowing, onActionModeFinished, onActionModeStarted, onAttachedToWindow, onBackPressed, onContentChanged, onContextItemSelected, onContextMenuClosed, onCreateContextMenu, onCreateOptionsMenu, onCreatePanelMenu, onCreatePanelView, onDetachedFromWindow, onGenericMotionEvent, onKeyDown, onKeyLongPress, onKeyMultiple, onKeyShortcut, onKeyUp, onMenuItemSelected, onMenuOpened, onOptionsItemSelected, onOptionsMenuClosed, onPanelClosed, onPrepareOptionsMenu, onPreparePanel, onRestoreInstanceState, onSaveInstanceState, onSearchRequested, onSearchRequested, onStart, onStop, onTouchEvent, onTrackballEvent, onWindowAttributesChanged, onWindowStartingActionMode, onWindowStartingActionMode, openContextMenu, openOptionsMenu, registerForContextMenu, requestWindowFeature, setCancelable, setCanceledOnTouchOutside, setCancelMessage, setContentView, setContentView, setContentView, setDismissMessage, setFeatureDrawable, setFeatureDrawableAlpha, setFeatureDrawableResource, setFeatureDrawableUri, setOnCancelListener, setOnDismissListener, setOnKeyListener, setOnShowListener, setOwnerActivity, setTitle, setTitle, setVolumeControlStream, takeKeyEvents, unregisterForContextMenu`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface android.view.Window.Callback

`onPointerCaptureChanged, onProvideKeyboardShortcuts`

### Field Detail

#### mProgressBar

    private android.widget.ProgressBar mProgressBar

### Constructor Detail

#### HFLoadingDialog

    public HFLoadingDialog(android.content.Context context)

### Method Detail

#### onCreate

    protected void onCreate(android.os.Bundle savedInstanceState)

Overrides:
  `onCreate` in class `android.app.Dialog`

#### onWindowFocusChanged

    public void onWindowFocusChanged(boolean hasFocus)

Specified by:
  `onWindowFocusChanged` in interface `android.view.Window.Callback`
Overrides:
  `onWindowFocusChanged` in class `android.app.Dialog`

#### show

    public void show()

Overrides:
  `show` in class `android.app.Dialog`

#### dismiss

    public void dismiss()

Specified by:
  `dismiss` in interface `android.content.DialogInterface`
Overrides:
  `dismiss` in class `android.app.Dialog`